Voro++

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures
container.hh File Reference

Header file for the container_base and related classes. More...

`#include <cstdio>`
`#include <vector>`
`#include "config.hh"`
`#include "common.hh"`
`#include "v_base.hh"`
`#include "cell.hh"`
`#include "c_loops.hh"`
`#include "v_compute.hh"`
`#include "rad_option.hh"`

Go to the source code of this file.

## Data Structures
class | voro::wall
| Pure virtual class from which wall objects are derived. More...
class | voro::wall_list
| A class for storing a list of pointers to walls. More...
class | voro::container_base
| Class for representing a particle system in a three-dimensional rectangular box. More...
class | voro::container
| Extension of the container_base class for computing regular Voronoi tessellations. More...
class | voro::container_poly
| Extension of the container_base class for computing radical Voronoi tessellations. More...